Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.ss.usermodel
Interface Comment

All Known Implementing Classes:
  HSSFComment, HSSFPicture, HSSFSimpleShape, HSSFTextbox

    public interface Comment

Method Summary
`java.lang.String` | `getAuthor()` Name of the original comment author
`int` | `getColumn()` Return the column of the cell that contains the comment
`int` | `getRow()` Return the row of the cell that contains the comment
`HSSFRichTextString` | `getString()` Fetches the rich text string of the comment
`boolean` | `isVisible()` Sets whether this comment is visible.
`void` | `setAuthor(java.lang.String author)` Name of the original comment author
`void` | `setColumn(int col)` Set the column of the cell that contains the comment
`void` | `setRow(int row)` Set the row of the cell that contains the comment
`void` | `setString(RichTextString string)` Sets the rich text string used by this comment.
`void` | `setVisible(boolean visible)` Returns whether this comment is visible.

Method Detail

### setVisible

    void setVisible(boolean visible)

  Returns whether this comment is visible.

  Parameters:
    `visible` - `true` if the comment is visible, `false` otherwise

### isVisible

    boolean isVisible()

  Sets whether this comment is visible.

  Returns:
    `true` if the comment is visible, `false` otherwise

### getRow

    int getRow()

  Return the row of the cell that contains the comment

  Returns:
    the 0-based row of the cell that contains the comment

### setRow

    void setRow(int row)

  Set the row of the cell that contains the comment

  Parameters:
    `row` - the 0-based row of the cell that contains the comment

### getColumn

    int getColumn()

  Return the column of the cell that contains the comment

  Returns:
    the 0-based column of the cell that contains the comment

### setColumn

    void setColumn(int col)

  Set the column of the cell that contains the comment

  Parameters:
    `col` - the 0-based column of the cell that contains the comment

### getAuthor

    java.lang.String getAuthor()

  Name of the original comment author

  Returns:
    the name of the original author of the comment

### setAuthor

    void setAuthor(java.lang.String author)

  Name of the original comment author

  Parameters:
    `author` - the name of the original author of the comment

### getString

    HSSFRichTextString getString()

  Fetches the rich text string of the comment

### setString

    void setString(RichTextString string)

  Sets the rich text string used by this comment.

  Parameters:
    `string` - Sets the rich text string used by this object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD